Subject: bug#54961: 28.1; info-display-manual completions issues

From: Howard Melman <[email-masked]>
Date: Fri, 15 Apr 2022 15:04:42 -0400

I'm happy to see info-display-manual added to Emacs 28.1 but
the completions offered leave something to be desired.

First, they include manuals named "./" and "../" which
shouldn't be there.

Second I seem to see duplicates, if I complete with input
"emacs" I see candidates "emacs" and "emacs.info.gz" and
similar duplicates for emacs-mime and emacs-gnutls, so 3
candidates show as 6.  This may be an artifact of the
macport build I'm using.  It happens from emacs -q and I
can't easily test on vanilla gnu emacs.

Third it would be really nice if there were an
affixation-function that added the one line description of
the manual for a completions framework to show when
completions-detailed is t.  Perhaps it could get the info
from Info-dir-contents?

Howard

In GNU Emacs 28.1 (build 1, x86_64-apple-darwin20.6.0, Carbon Version 164 AppKit 2022.6)
of 2022-04-09 built on Mac-1649520554451.local
Repository revision: ee79b048bbb2fd4a962dfb2204cc7a2f0d5237d8
Repository branch: 28.1-mac-9.0-CI
Windowing system distributor 'Apple Inc.', version 11.6.5
System Description:  macOS 11.6.5

Configured using:
'configure --with-mac
--enable-locallisppath=/usr/local/share/emacs/site-lisp:/opt/homebrew/share/emacs/site-lisp
--enable-mac-app=/Users/runner/work/homebrew-emacsmacport/homebrew-emacsmacport/build-scripts/emacs-source/tmproot
--prefix=/Users/runner/work/homebrew-emacsmacport/homebrew-emacsmacport/build-scripts/emacs-source/tmproot
--enable-mac-self-contained --with-modules'